Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neuroph
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neuroph.core.input
Class InputFunction

    java.lang.Object
      org.neuroph.core.input.InputFunction

All Implemented Interfaces:
  java.io.Serializable

    public class InputFunction

extends java.lang.Object
implements java.io.Serializable

     Neuron's input function. It has two subcomponents:

     weightsFunction - which performs operation with input and weight vector
     summingFunction - which performs operation with the resulting vector from weightsFunction

     InputFunction implements the following behaviour:
     output = summingFunction(weightsFunction(inputs))

     Different neuron input functions can be created by setting different weights and summing functions.

See Also:
  `WeightsFunction`, `SummingFunction`, `Neuron`, Serialized Form

Constructor Summary
`InputFunction()` Creates an instance of WeightedSum input function by default.
`InputFunction(WeightsFunction weightsFunction, SummingFunction summingFunction)` Creates an instance of input function with specified weights and summing function

Method Summary
`double` | `getOutput(java.util.Vector<Connection> inputConnections)` Returns ouput value of this input function for the given neuron inputs
`SummingFunction` | `getSummingFunction()` Returns summing function component of this InputFunction
`WeightsFunction` | `getWeightsFunction()` Returns weights functioncomponent of this InputFunction

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InputFunction

    public InputFunction()

  Creates an instance of WeightedSum input function by default.

### InputFunction

    public InputFunction(WeightsFunction weightsFunction,
                         SummingFunction summingFunction)

  Creates an instance of input function with specified weights and summing function

  Parameters:
    `weightsFunction` - vector function performs some operation on input and weight vector
    `summingFunction` - scalar function transforms output from VectorFunction to scalar

Method Detail

### getOutput

    public double getOutput(java.util.Vector<Connection> inputConnections)

  Returns ouput value of this input function for the given neuron inputs

  Parameters:
    `inputConnections` - neuron's input connections
  Returns:
    input total net input

### getSummingFunction

    public SummingFunction getSummingFunction()

  Returns summing function component of this InputFunction

  Returns:
    summing function

### getWeightsFunction

    public WeightsFunction getWeightsFunction()

  Returns weights functioncomponent of this InputFunction

  Returns:
    weights function

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neuroph
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD